Bug 500789 - hdparm --security-set-pass gives : Inappropriate ioctl for device Error: 25
hdparm --security-set-pass gives : Inappropriate ioctl for device Error: 25
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Wade Mealing
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 05:11 EDT by Wade Mealing
Modified: 2010-10-23 05:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-20 21:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2009-05-14 05:11:46 EDT
Description of problem:

Using hdparm --security-set-pass 

Inappropriate ioctl for device Error: 25

Version-Release number of selected component (if applicable):


kernel 2.6.18-128.1.10
hdparm-6.6-2

How reproducible:

Every time

  
Actual results:

Error 25 shown, no password device set for the ata security settings.

Expected results:

Still happens on fedora 10's hdparm and current upstreams hdparm.

Additional info:

I'm going to continue to work on this, but I'm not sure if changes in the ATA Security would be too much changed.

Note You need to log in before you can comment on or make changes to this bug.